package com.wd.workoffice.ui.adapter;


import android.widget.ImageView;

import com.bumptech.glide.load.ImageHeaderParser;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.mesBean.ImageBean;
import com.wd.workoffice.util.GlideUtils;
import com.wd.workoffice.util.WorkUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class ImgAdapter extends BaseQuickAdapter<ImageBean, BaseViewHolder> {

    public ImgAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, ImageBean item) {
        ImageView ivImg = helper.getView(R.id.iv_img);
        GlideUtils.getRequest().load(item.getUrl()).into(ivImg);
        helper.addOnClickListener(R.id.iv_img);
    }
}

